Loading...
Searching...
No Matches
elastix::ComponentLoader Class Reference

`#include <elxComponentLoader.h>`

## Detailed Description

Determines which components (metrics, transforms, etc.) are available.

This file defines the class elx::ComponentLoader. This class stores pointers to the New() functions of each component in the elx::ComponentDatabase.

Each new component (a new metric for example should "make itself known" by calling the elxInstallMacro, which is defined in elxMacro.h.

Definition at line 41 of file elxComponentLoader.h.

Inheritance diagram for elastix::ComponentLoader:
[legend]

## Public Types

using | ComponentDatabasePointer = ComponentDatabase::Pointer
using | ConstPointer = itk::SmartPointer<const Self>
using | Pointer = itk::SmartPointer<Self>
using | Self = ComponentLoader
using | Superclass = itk::Object

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ComponentLoader)
| itkGetModifiableObjectMacro (ComponentDatabase, ComponentDatabase)
int | LoadComponents ()
virtual void | SetComponentDatabase (ComponentDatabase *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| ComponentLoader ()
virtual int | InstallSupportedImageTypes ()
| ~ComponentLoader () override

## Protected Attributes

ComponentDatabasePointer | m_ComponentDatabase
bool | m_ImageTypeSupportInstalled

## Member Typedef Documentation

## ComponentDatabasePointer

using elastix::ComponentLoader::ComponentDatabasePointer = ComponentDatabase::Pointer

Typedef's.

Definition at line 57 of file elxComponentLoader.h.

## ConstPointer

using elastix::ComponentLoader::ConstPointer = itk::SmartPointer<const Self>

Definition at line 50 of file elxComponentLoader.h.

## Pointer

using elastix::ComponentLoader::Pointer = itk::SmartPointer<Self>

Definition at line 49 of file elxComponentLoader.h.

## Self

using elastix::ComponentLoader::Self = ComponentLoader

Standard ITK typedef's.

Definition at line 47 of file elxComponentLoader.h.

## Superclass

using elastix::ComponentLoader::Superclass = itk::Object

Definition at line 48 of file elxComponentLoader.h.

## Constructor & Destructor Documentation

## ComponentLoader()

elastix::ComponentLoader::ComponentLoader | ( |  | ) |

protected

Standard constructor and destructor.

## ~ComponentLoader()

elastix::ComponentLoader::~ComponentLoader | ( |  | ) |

override protected

## Member Function Documentation

## GetClassName()

virtual const char * elastix::ComponentLoader::GetClassName | ( |  | ) | const

virtual

## InstallSupportedImageTypes()

virtual int elastix::ComponentLoader::InstallSupportedImageTypes | ( |  | ) |

protected virtual

## ITK_DISALLOW_COPY_AND_MOVE()

elastix::ComponentLoader::ITK_DISALLOW_COPY_AND_MOVE | ( | ComponentLoader |  | ) |

## itkGetModifiableObjectMacro()

elastix::ComponentLoader::itkGetModifiableObjectMacro | ( | ComponentDatabase | ,
|  | ComponentDatabase | )

## LoadComponents()

int elastix::ComponentLoader::LoadComponents | ( |  | ) |

Function to load components.

## New()

Pointer elastix::ComponentLoader::New | ( |  | ) |

static

Standard ITK stuff.

## SetComponentDatabase()

virtual void elastix::ComponentLoader::SetComponentDatabase | ( | ComponentDatabase * | _arg | ) |

virtual

Set and get the ComponentDatabase.

## Field Documentation

## m_ComponentDatabase

ComponentDatabasePointer elastix::ComponentLoader::m_ComponentDatabase

protected

Definition at line 72 of file elxComponentLoader.h.

## m_ImageTypeSupportInstalled

bool elastix::ComponentLoader::m_ImageTypeSupportInstalled

protected

Definition at line 74 of file elxComponentLoader.h.

Generated on 1768596610 for elastix by 1.15.0 |